Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | Private Member Functions | List of all members
eZXMLRPCDatetime Class Reference

## Public Member Functions
| __construct ( $year=0, $month=0, $day=0, $hour=0, $minute=0, $second=0)
& | serialize ()
| value ()
| year ()
| month ()
| day ()
| hour ()
| minute ()
| second ()
| setYear ( $value)
| setMonth ( $value)
| setDay ( $value)
| setHour ( $value)
| setMinute ( $value)
| setSecond ( $value)
| decode ( $value)

## Public Attributes
| $Year
| $Month
| $Day
| $Hour
| $Minute
| $Second

## Private Member Functions
| addZero ( $value)

## Detailed Description

! eZXMLRPC eZXMLRPCDatetime hadles encoding and decoding of an XML-RPC iso8601 date and time.

Definition at line 36 of file ezxmlrpcdatetime.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZXMLRPCDatetime::__construct | ( |  | $year = `0`,
|  |  | $month = `0`,
|  |  | $day = `0`,
|  |  | $hour = `0`,
|  |  | $minute = `0`,
|  |  | $second = `0`
| ) |  |

Creates a new eZXMLRPCDatetime object.

If

Definition at line 43 of file ezxmlrpcdatetime.php.

References $day, $hour, $minute, $month, $now, $year, setDay(), setHour(), setMinute(), setMonth(), setSecond(), and setYear().

## Member Function Documentation

## ◆ addZero()

eZXMLRPCDatetime::addZero | ( |  | $value | ) |
| private

Adds a "0" infront of the value if it's below 10.

Definition at line 235 of file ezxmlrpcdatetime.php.

References $ret.

Referenced by serialize(), and value().

## ◆ day()

eZXMLRPCDatetime::day | ( |  | ) |

Returns the day of the month.

Definition at line 129 of file ezxmlrpcdatetime.php.

References $Day.

Referenced by serialize(), and value().

## ◆ decode()

eZXMLRPCDatetime::decode | ( |  | $value | ) |

Decodes the datetime encoded string and sets the internal value.

Definition at line 218 of file ezxmlrpcdatetime.php.

References setDay(), setHour(), setMinute(), setMonth(), setSecond(), and setYear().

## ◆ hour()

eZXMLRPCDatetime::hour | ( |  | ) |

Returns the hours.

Definition at line 137 of file ezxmlrpcdatetime.php.

References $Hour.

Referenced by serialize(), and value().

## ◆ minute()

eZXMLRPCDatetime::minute | ( |  | ) |

Returns the minutes.

Definition at line 145 of file ezxmlrpcdatetime.php.

References $Minute.

Referenced by serialize(), and value().

## ◆ month()

eZXMLRPCDatetime::month | ( |  | ) |

The month value is returned.

Definition at line 121 of file ezxmlrpcdatetime.php.

References $Month.

Referenced by serialize(), and value().

## ◆ second()

eZXMLRPCDatetime::second | ( |  | ) |

Returns the seconds.

Definition at line 154 of file ezxmlrpcdatetime.php.

References $Second.

Referenced by serialize(), and value().

## ◆ serialize()

& eZXMLRPCDatetime::serialize | ( |  | ) |

This function will encode the datetime into a valid XML-RPC value.

Definition at line 69 of file ezxmlrpcdatetime.php.

References $day, $hour, $minute, $month, $ret, $year, addZero(), day(), hour(), minute(), month(), second(), and year().

## ◆ setDay()

eZXMLRPCDatetime::setDay | ( |  | $value | ) |

Sets the day value.

Definition at line 181 of file ezxmlrpcdatetime.php.

Referenced by __construct(), and decode().

## ◆ setHour()

eZXMLRPCDatetime::setHour | ( |  | $value | ) |

Sets the Hour value.

Definition at line 190 of file ezxmlrpcdatetime.php.

Referenced by __construct(), and decode().

## ◆ setMinute()

eZXMLRPCDatetime::setMinute | ( |  | $value | ) |

Sets the minute value.

Definition at line 199 of file ezxmlrpcdatetime.php.

Referenced by __construct(), and decode().

## ◆ setMonth()

eZXMLRPCDatetime::setMonth | ( |  | $value | ) |

Sets the month value.

Definition at line 172 of file ezxmlrpcdatetime.php.

Referenced by __construct(), and decode().

## ◆ setSecond()

eZXMLRPCDatetime::setSecond | ( |  | $value | ) |

Sets the second value.

Definition at line 208 of file ezxmlrpcdatetime.php.

Referenced by __construct(), and decode().

## ◆ setYear()

eZXMLRPCDatetime::setYear | ( |  | $value | ) |

Sets the year value.

Definition at line 163 of file ezxmlrpcdatetime.php.

Referenced by __construct(), and decode().

## ◆ value()

eZXMLRPCDatetime::value | ( |  | ) |

Returns the string value.

The parts can also be fetched directly by use of year(), month()...

Definition at line 95 of file ezxmlrpcdatetime.php.

References $day, $hour, $minute, $month, $year, addZero(), day(), hour(), minute(), month(), second(), and year().

## ◆ year()

eZXMLRPCDatetime::year | ( |  | ) |

The year is returned.

Definition at line 113 of file ezxmlrpcdatetime.php.

References $Year.

Referenced by serialize(), and value().

## Member Data Documentation

## ◆ $Day

eZXMLRPCDatetime::$Day

Definition at line 249 of file ezxmlrpcdatetime.php.

Referenced by day().

## ◆ $Hour

eZXMLRPCDatetime::$Hour

Definition at line 250 of file ezxmlrpcdatetime.php.

Referenced by hour().

## ◆ $Minute

eZXMLRPCDatetime::$Minute

Definition at line 251 of file ezxmlrpcdatetime.php.

Referenced by minute().

## ◆ $Month

eZXMLRPCDatetime::$Month

Definition at line 248 of file ezxmlrpcdatetime.php.

Referenced by month().

## ◆ $Second

eZXMLRPCDatetime::$Second

Definition at line 252 of file ezxmlrpcdatetime.php.

Referenced by second().

## ◆ $Year

eZXMLRPCDatetime::$Year

Definition at line 247 of file ezxmlrpcdatetime.php.

Referenced by year().

The documentation for this class was generated from the following file:

- ezxmlrpcdatetime.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.